StarPageAttribute::SubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
StarPageAttribute::SubDocument Class Referencefinal

Internal: the subdocument of a StarObjectSpreadsheet. More...

Inheritance diagram for StarPageAttribute::SubDocument:

## Public Member Functions
| SubDocument (std::shared_ptr< StarObjectSmallText > text)
| SubDocument (std::shared_ptr< StarFormatManagerInternal::FormatDef > format, StarItemPool const *pool, StarObject *object)
| ~SubDocument () final
| destructor More...
bool | operator!= (STOFFSubDocument const &doc) const final
| operator!= More...
void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from STOFFSubDocument
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input More...
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor More...
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator More...
virtual | ~STOFFSubDocument ()
| virtual destructor More...
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
std::shared_ptr< StarObjectSmallText > | m_smallText
| the note text More...
std::shared_ptr< StarFormatManagerInternal::FormatDef > | m_format
| the format More...
StarObject * | m_object
| the original object More...
StarItemPool const * | m_pool
| the pool More...
Protected Attributes inherited from STOFFSubDocument
STOFFParser * | m_parser
| the main zone parser More...
std::shared_ptr< STOFFInputStream > | m_input
| the input More...
STOFFEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Detailed Description

Internal: the subdocument of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

StarPageAttribute::SubDocument::SubDocument | ( | std::shared_ptr< StarObjectSmallText > | text | ) |
| inlineexplicit

## ◆ SubDocument() [2/3]

StarPageAttribute::SubDocument::SubDocument | ( | std::shared_ptr< StarFormatManagerInternal::FormatDef > | format,
|  | StarItemPool const * | pool,
|  | StarObject * | object
| ) |  |
| inline

## ◆ ~SubDocument()

StarPageAttribute::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

StarPageAttribute::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool StarPageAttribute::SubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const
| inlinefinalvirtual

operator!=

Reimplemented from STOFFSubDocument.

## ◆ operator=()

SubDocument& StarPageAttribute::SubDocument::operator= | ( | SubDocument const & |  | ) |
| privatedelete

## ◆ parse()

void StarPageAttribute::SubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | type
| ) |  |
| finalvirtual

the parser function

Implements STOFFSubDocument.

## Member Data Documentation

## ◆ m_format

std::shared_ptr<StarFormatManagerInternal::FormatDef> StarPageAttribute::SubDocument::m_format
| protected

the format

Referenced by operator!=().

## ◆ m_object

StarObject* StarPageAttribute::SubDocument::m_object
| protected

the original object

Referenced by operator!=().

## ◆ m_pool

StarItemPool const* StarPageAttribute::SubDocument::m_pool
| protected

the pool

Referenced by operator!=().

## ◆ m_smallText

std::shared_ptr<StarObjectSmallText> StarPageAttribute::SubDocument::m_smallText
| protected

the note text

Referenced by operator!=().

The documentation for this class was generated from the following file:

- StarPageAttribute.cxx